  <script lang="ts" setup>
import { ref } from 'vue'
import { uselistnamepayStore } from '@/stores/listnamepay'
import { idText } from 'typescript'

const Id = ref()

const listNamepay = uselistnamepayStore()
const dialog = ref(false)

function resetForm() {
  Id.value = ''
}
</script>

<template>
  <v-row justify="end">
    <v-dialog v-model="dialog" persistent width="auto">
      <template v-slot:activator="{ props }">
        <v-btn color="pink" v-bind="props"> DEL EM </v-btn>
      </template>
      <v-card>
        <v-card-title class="text-h5"> Delete ID Employee </v-card-title>
        <v-container>
          <v-row>
            <v-col cols="12">
              <v-text-field label="ID" v-model="Id" required></v-text-field>
            </v-col>
          </v-row>
        </v-container>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="pink" variant="text" @click="dialog = false"> Disagree </v-btn>
          <v-btn color="green"
            variant="text" @click="listNamepay.deleteEmployee(Id) ;dialog = false">
            Agree
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
<style scoped>
.color-mixed {
  background: linear-gradient(to right, #ff0000, #ff00ff);
}
</style>
